{% for server in nginx.servers %}
{% if server.names is defined %}
{% for name in server.names is string | ternary([server.names], server.names) %}
["{{ name }}"]
{% if server.upstream_archive is defined %}
upstream_archive.url = "{{ server.upstream_archive.url }}"
upstream_archive.extract_to = "{{ server.upstream_archive.extract_to }}"
{% endif %}
{% endfor %}
{% endif %}
{% endfor %}
